#Code for producing Figure 1 of the paper.
##########
set.seed(44)
n<-50
X<-runif(n,0,3)
X<-sort(X)
X[n]<-X[n]+0.2
Y<-2*X+rnorm(n,0,0.2)
x<-as.matrix(X)
y<-Y
x[1]<-4.7
x[2]<-4.5
y[1]<-4.3
y[2]<-4.1

pdf("Figure 1.pdf", width=5, height=5)

plot(x,y,xlab="X",ylab="Y")
text(3.4,6.5,"1")
n<-length(y)
s2<-(summary(lm(y~x))$sigma)^2
xtx<-t(cbind(1,x))%*%cbind(1,x)
p<-ncol(x)+1
delete<-10
ind<-c(40:49)
fit<-lm(y[-ind]~x[-ind,])
change<-influence(fit)$coefficients
res<-rep(0,n-delete)
for(k in 1:(n-delete)) {
  res[k]<-change[k,]%*%xtx%*%change[k,]/(p*s2)
}
rev(res)[1]
points(x[ind,],y[ind],pch=19,cex=1.3)
points(x[1:2,],y[1:2],pch=17,cex=1.3)
dev.off()
#observation 1 is influential when 10 observations (40 to 49) are removed
rev(res)[1]
> rev(res)[1]
[1] 1.29537

delete<-12
ind<-c(1,2,40:49)
fit<-lm(y[-ind]~x[-ind,])
change<-influence(fit)$coefficients
res<-rep(0,n-delete)
for(k in 1:(n-delete)) {
  res[k]<-change[k,]%*%xtx%*%change[k,]/(p*s2)
}
#Observation 1 is no longer influential when the two influential observations are also removed
rev(res)[1]
> rev(res)[1]
[1] 0.5842517