library(BMA)
library(mnormt)
library(doRNG)
library(doParallel)
library(doRNG)
registerDoParallel(25)
source("../../../Functions/Functions.R")
##########
set.seed(123)
nsims<-100
##########
nvect<-c(500,1000)
outvect<-c(5,10)
pvect<-c(10,25,50,100)
xdelta<-3
ydelta<-3
##########
results6<-NULL
for(n in nvect) {
  
  for(p in pvect) {
    
    for(out in outvect) {
      
      x<-matrix(rnorm(n*p),n,p)
      x[1:out,1:p]<-xdelta+matrix(rnorm(out*p,0,0.25),out,p)
      
      results<-foreach(k=1:nsims,.packages=c('BMA'),.inorder=TRUE,.combine='rbind') %dorng% {
        
        ymean<-1+x%*%c(rep(1,min(p,5)),rep(0,max(0,p-5)))
        y<-rnorm(n=n,ymean,1)
        y[1:out]<-ydelta*ymean[1:out]+rnorm(out,0,0.25)    
        res2<-adaptiveold(x,y,M=5000,j=(n/2),ran=FALSE)
        res2<-c(sum(res2[1:out]>0),sum(res2[-(1:out)]>0))
        res2       
      }
      
      results6<-rbind(results6,results)
    }
  }
}
save.image("ModCooklargep.RData")
##########
nvect<-c(500,1000)
outvect<-c(10,20)
pvect<-c(10,25,50,100)
xdelta<-3
ydelta<-3
##########
results7<-NULL
for(n in nvect) {
  
  for(p in pvect) {
    
    for(out in outvect) {
      
      x<-matrix(rnorm(n*p),n,p)
      x[1:out,1:p]<-xdelta+matrix(rnorm(out*p,0,0.25),out,p)
      x[1:(out/2),]<--x[1:(out/2),]
      
      results<-foreach(k=1:nsims,.packages=c('BMA'),.inorder=TRUE,.combine='rbind') %dorng% {
        
        ymean<-1+x%*%c(rep(1,min(p,5)),rep(0,max(0,p-5)))
        y<-rnorm(n=n,ymean,1)
        y[1:out]<-ydelta*ymean[1:out]+rnorm(out,0,0.25)
        res2<-adaptiveold(x,y,M=5000,j=(n/2),ran=FALSE)
        res2<-c(sum(res2[1:out]>0),sum(res2[-(1:out)]>0))
        res2  
      }
      
      results7<-rbind(results7,results)
    }
  }
}
save.image("ModCooklargep.RData")
# ##########
# nvect<-c(5000)
# outvect<-c(5,10)
# pvect<-c(10,25,50,100,200)
# xdelta<-3
# ydelta<-3
# ##########
# results8<-NULL
# for(n in nvect) {
#   
#   for(p in pvect) {
#     
#     for(out in outvect) {
#       
#       x<-matrix(rnorm(n*p),n,p)
#       x[1:out,1:p]<-xdelta+matrix(rnorm(out*p,0,0.25),out,p)
#       
#       results<-foreach(k=1:nsims,.packages=c('BMA'),.inorder=TRUE,.combine='rbind') %dorng% {
#         
#         ymean<-1+x%*%c(rep(1,min(p,5)),rep(0,max(0,p-5)))
#         y<-rnorm(n=n,ymean,1)
#         y[1:out]<-ydelta*ymean[1:out]+rnorm(out,0,0.25)    
#         res2<-adaptiveold(x,y,M=5000,j=(n/2),ran=FALSE)
#         res2<-c(sum(res2[1:out]>0),sum(res2[-(1:out)]>0))
#         res2       
#       }
#       
#       results8<-rbind(results8,results)
#     }
#   }
# }
# save.image("ModCooklargep.RData")
# ##########
# nvect<-c(5000)
# outvect<-c(10,20)
# pvect<-c(10,25,50,100,200)
# xdelta<-3
# ydelta<-3
# ##########
# results9<-NULL
# for(n in nvect) {
#   
#   for(p in pvect) {
#     
#     for(out in outvect) {
#       
#       x<-matrix(rnorm(n*p),n,p)
#       x[1:out,1:p]<-xdelta+matrix(rnorm(out*p,0,0.25),out,p)
#       x[1:(out/2),]<--x[1:(out/2),]
#       
#       results<-foreach(k=1:nsims,.packages=c('BMA'),.inorder=TRUE,.combine='rbind') %dorng% {
#         
#         ymean<-1+x%*%c(rep(1,min(p,5)),rep(0,max(0,p-5)))
#         y<-rnorm(n=n,ymean,1)
#         y[1:out]<-ydelta*ymean[1:out]+rnorm(out,0,0.25)
#         res2<-adaptiveold(x,y,M=5000,j=(n/2),ran=FALSE)
#         res2<-c(sum(res2[1:out]>0),sum(res2[-(1:out)]>0))
#         res2  
#       }
#       
#       results9<-rbind(results9,results)
#     }
#   }
# }
# save.image("ModCooklargep.RData")
##########
# n<-1000
# xdelta<-3
# ydelta<-3
# p<-10
# out<-10
# x<-matrix(rnorm(n*p),n,p)
# #x[1:5,]<--x[1:5,]
# #cov.mat<-(0.8)^(abs(outer(1:p,1:p,"-")))
# #x<-rmnorm(n=n,mean=0,varcov=cov.mat)    
# x[1:out,1:p]<-xdelta+matrix(rnorm(out*p,0,0.25),out,p)
# ymean<-1+x%*%c(rep(1,min(p,5)),rep(0,max(0,p-5)))
# y<-rnorm(n=n,ymean,1)
# y[1:out]<-ydelta*ymean[1:out]+rnorm(out,0,0.25)
# y[1:5]<--y[1:5]
# # y[6:10]<--y[6:10]
# # x[6:10,]<-x[6:10,]
# # y[11:15]<-y[11:15]
# # x[11:15,]<--x[11:15,]
# res1<-rep(0,out)
# res2<-rep(0,out)
# for(i in 1:out) res1[i]<-cooks.distance(lm(y[-(1:out)[-i]]~x[-(1:out)[-i],]))[1]
# res2<-cooks.distance(lm(y~x))[1:out]
# min(res1)
# max(res2)

