library(BMA)
library(mnormt)
library(doRNG)
library(doParallel)
library(doRNG)
registerDoParallel(30)
source("../../../Functions/Functions.R")
##########
set.seed(123)
nsims<-100
##########
nvect<-c(100)
outvect<-c(2,5,10)
pvect<-c(10)
mvect<-c(500,1000,2000,3000,4000,5000,10000)
jvect<-c(5,10,20,30,40,50)
xdelta<-3
ydelta<-3
##########
results1<-NULL

for(m in mvect) {
  
  for(j in jvect) {
    
    for(n in nvect) {
      
      for(p in pvect) {
        
        for(out in outvect) {
          
          x<-matrix(rnorm(n*p),n,p)
          x[1:out,1:p]<-xdelta+matrix(rnorm(out*p,0,0.25),out,p)
          
          results<-foreach(k=1:nsims,.packages=c('BMA'),.inorder=TRUE,.combine='rbind') %dorng% {
            
            temp<-rep(0,max(nvect))
            ymean<-1+x%*%c(rep(1,min(p,5)),rep(0,max(0,p-5)))
            y<-rnorm(n=n,ymean,1)
            y[1:out]<-ydelta*ymean[1:out]+rnorm(out,0,0.25)    
            res2<-adaptiveold(x,y,M=m,j=j,ran=FALSE)
            res2<-c(sum(res2[1:out]>0),sum(res2[-(1:out)]>0))
            res2        
          }
          
          results1<-rbind(results1,results)
        }
      }
    }
  }
}
save.image("ModCook.RData")
##########
nvect<-c(1000)
outvect<-c(5,10)
pvect<-c(50)
mvect<-c(500,1000,2000,3000,4000,5000,10000)
jvect<-c(5,10,20,30,40,50,100,200,300,400,500)
xdelta<-3
ydelta<-3
##########
results2<-NULL

for(m in mvect) {
  
  for(j in jvect) {
    
    for(n in nvect) {
      
      for(p in pvect) {
        
        for(out in outvect) {
          
          x<-matrix(rnorm(n*p),n,p)
          x[1:out,1:p]<-xdelta+matrix(rnorm(out*p,0,0.25),out,p)
          
          results<-foreach(k=1:nsims,.packages=c('BMA'),.inorder=TRUE,.combine='rbind') %dorng% {
            
            temp<-rep(0,max(nvect))
            ymean<-1+x%*%c(rep(1,min(p,5)),rep(0,max(0,p-5)))
            y<-rnorm(n=n,ymean,1)
            y[1:out]<-ydelta*ymean[1:out]+rnorm(out,0,0.25)    
            res2<-adaptiveold(x,y,M=m,j=j,ran=FALSE)
            res2<-c(sum(res2[1:out]>0),sum(res2[-(1:out)]>0))            
            res2        
          }
          
          results2<-rbind(results2,results)
        }
      }
    }
  }
}
save.image("ModCook.RData")